#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'agency.edit'}
#{/set}
<ol class="breadcrumb">
    <li><a href="@{admin.AgencyCtr.index()}">&{agency.detail} </a></li>
    <li class="active">Edit</li>
</ol>
<div class="content">
#{alert /}
#{form @admin.AgencyCtr.simpan(), method:'POST'}
    #{if form?.agency?.agc_id}
        <input type=hidden name="form.agency.agc_id" value="${form.agency.agc_id}"/>
    #{/if}
    #{elseif active_user.adminAgency} *{ Input agency baru. Jika dibuat oleh Admin Agency, otomatis agency induk akan merujuk ke id agency ini }*
        <input type=hidden name="form.agency.sub_agc_id" value="${form?.agencyParent?.agc_id}"/>
    #{/elseif}
    <div class="form-group">
        <label class="col-lg-2 control-label">&{'agency.name'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'form.agency.agc_nama'/}">
            <input type="text" name="form.agency.agc_nama" size="40" maxlength="80" value="${form?.agency?.agc_nama}"
                   class="form-control #{validate 'form.agency.agc_nama'/}">
            <div class="invalid-feedback">#{error 'form.agency.agc_nama' /}</div>
        </div>
    </div>
    #{if agency?.agc_id}
        <div class="form-group">
            <label class="col-lg-2 control-label">&{'agency.utama'}<span class="warning"> **</span></label>
            <div class="col-lg-10" style="width:400px;">
                #{if active_user.adminAgency}
                    <select name="form.agency.sub_agc_id" class="form-control" id="agency.sub_agc_id">
                        <option value="${form.agencyParent.agc_id}" selected>${form.agencyParent.agc_nama}</option>
                    </select>
                #{/if}
                #{else}
                    <select name="form.agency.sub_agc_id" class="form-control">
                        #{if form.agency.sub_agc_id != null}
                            <option value="${form.agency.getSub_agency().agc_id}">${form.agency.getSub_agency().agc_nama}</option>
                        #{/if}
                        #{else}
                            <option value>- &{'agency.utama'} -</option>
                        #{/else}
                        #{list items:models.agency.Agency.find("agc_id <> "+form.agency.agc_id).fetch(), as:'agc'}
                            #{if form.agency.sub_agency == agc}
                                <option value="${agc.agc_id}" selected>${agc.agc_nama}</option>
                            #{/if}
                            #{else}
                                <option value="${agc.agc_id}">${agc.agc_nama}</option>
                            #{/else}
                        #{/list}
                    </select>
                #{/else}
            </div>
        </div>
        #{if active_user.adminPPE}
            <div class="form-group">
                <label class="col-lg-2 control-label">&{'agency.sebagaispse'}</label>
                <div class="col-lg-10">
                    <input class="form-check-input" type="checkbox" id="agency.isLpse" name="form.agency.isLpse"
                           value="true" #{if form?.agency?.is_lpse == 1} checked="checked" #{/if}/>
                </div>
            </div>
        #{/if}
    #{/if}
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">Alamat<span class="warning"> *</span></label>
        <div class="col-lg-10 ">
            <textarea name="form.agency.agc_alamat" cols="25" rows="4" class="form-control #{validate 'form.agency.agc_alamat'/}">${form?.agency?.agc_alamat}</textarea>
            <div class="invalid-feedback">#{error 'form.agency.agc_alamat' /}</div>
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-2 control-label">&{'agency.provinsi'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'form.agency.propinsiId'/}" style="width:300px;">
            #{selectPropinsi 'form.agency.propinsiId', value:form?.agency?.kabupaten?.prp_id /}
            <div class="invalid-feedback">#{error 'form.agency.propinsiId' /}</div>
        </div>
        <label class="col-lg-2 control-label">&{'agency.kota'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'form.agency.kbp_id'/}" style="width:300px;">
            #{selectKabupaten 'form.agency.kbp_id', value:form?.agency?.kbp_id, propinsiId:form?.agency?.kabupaten?.prp_id /}
            <span class="help-block">#{error 'form.agency.kbp_id' /}</span>
	        <span class="help-block">&{'agency.messagekota'}</span>
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-2 control-label">&{'agency.telepon'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'form.agency.agc_telepon'/}" style="width:300px;">
            <input type="text" name="form.agency.agc_telepon" maxlength="20" size="15" id="agc_telepon"
                   value="${form?.agency?.agc_telepon}" class="form-control #{validate 'form.agency.agc_telepon'/}">
            <div class="invalid-feedback">#{error 'form.agency.agc_telepon' /}</div>
        </div>
        <label class="col-lg-2 control-label">&{'agency.fak'}</label>
        <div class="col-lg-10 " style="width:300px;">
            <input type="text" name="form.agency.agc_fax" maxlength="20" size="15" id="agc_fax" value="${form?.agency?.agc_fax}"
                   class="form-control">
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-2 control-label">&{'agency.jenis'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'form.agency.jna_id'/}"
             style="width:300px;">#{selectJenisAgency 'form.agency.jna_id', value:form?.agency?.jenis_agency?.jna_id /}
            <div class="invalid-feedback">#{error 'form.agency.jna_id' /}</div>
        </div>
        <label class="col-lg-2 control-label">&{'agency.website'}</label>
        <div class="col-lg-10 #{errorClass 'form.agency.agc_website'/}" style="width:300px;">
            <input type="text" name="form.agency.agc_website" maxlength="200" size="15" id="agc_website"
                   value="${form?.agency?.agc_website}" class="form-control #{validate 'form.agency.agc_website'/}" placeholder="contoh : http://www.lkpp.go.id">
            <div class="invalid-feedback">#{error 'form.agency.agc_website' /}</div>
        </div>
    </div>
    <div class="form-group">
        <label class="col-lg-2 control-label">&{'agency.tanggaldaftar'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'form.agency.agc_tgl_daftar'/}">
            <div class="input-group date width-normal">
                <input name="form.agency.agc_tgl_daftar" type="text" value="${form?.agency?.agc_tgl_daftar?.toDatepicker()}"
                       class="form-control datepicker #{validate 'form.agency.agc_tgl_daftar'/}"/>
                <div class="input-group-append" ><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                <div class="invalid-feedback">#{error 'form.agency.agc_tgl_daftar' /}</div>
            </div>

        </div>
    </div>


    <div class="form-group">
        <label class="col-lg-2 control-label">&{'agency.penanggungjawab'} <span class="warning"> *</span></label>
        <div class="col-lg-10">
            <table class="table table-sm" id="tblAdmin1">
                <tr>
                    <td width="200">&{'agency.penanggungjawab'}<span class="warning"> *</span></td>
                    <td width="200">&{'agency.nosk'}<span class="warning"> *</span></td>
                    <td width="10"></td>
                </tr>
                #{list items:form.adminAgencies, as:'admin'}
                    #{set i : admin_index - 1 /}
                    <tr>
                        <td>
                            #{selectAdminAgency 'form.adminAgencies['+i+'].adminId', value:admin?.adminId, id:'namaPenanggung' /}
                            <div class="invalid-feedback">#{error 'form.adminAgencies['+i+'].adminId' /}</div></td>
                        <td>
                            <input required id="skPjId" type="text" name="form.adminAgencies[${i}].noSk" id="agc_sk" size="15" maxlength="40"
                                   value="${admin?.noSk}" class="form-control noSk #{validate 'form.adminAgencies['+i+'].noSk'/}">
                            <div class="invalid-feedback">#{error 'form.adminAgencies['+i+'].noSk' /}</div></td>
                        <td>#{if admin_index > 1}<a href="javascript:void(0)" class="removeBtn"><i
                                class="fa fa-trash-o fa-lg"></i></a>#{/if}</td>
                    </tr>
                #{/list}
            </table>

            <button type="button" class="btn btn-default btn-sm" id="tambahAdmin" value="Tambah Admin"><i
                    class="fa fa-plus-circle"></i> &{'agency.tambahpenanggung'}
            </button>

        </div>
    </div>


    <div class="bs-callout bs-callout-info">
        <span class="warning">*</span> &{'agency.harusdiisi'}<br>
        #{if form?.agency?.agc_id}
            <span class="warning">**</span>&{'agency.option'}<br>
        #{/if}
    </div>
    #{saveButton /}
    #{if agency == null}
        #{backButton action:@admin.AgencyCtr.index() /}
    #{/if}
    #{else}
        #{backButton action:@admin.AgencyCtr.detil(form.agency.agc_id) /}
    #{/else}
    #{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript">
    var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
    $(document).on('change', '#propinsi', function () {
        var id = $(this).val();
        $.getJSON(kabUrl.url({id: id}), function (data) {
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            $('#kabupaten').html(options);
            $('#kabupaten').selectpicker('refresh');
        })
    })

    $(document).on('click', '.removeBtn', function () {
        $(this).parent().parent().remove();
    })

    $("#tambahAdmin").click(function () {
        var admin = $('#tblAdmin1 tr select[name="form.adminAgencies[0].adminId"]').html();
        var ind = $('#tblAdmin1 tr').length - 1
        var addAdmin = '<tr>' +
                '<td><select class="form-control admin selectpicker " data-live-search="true" data-width="auto" required name="form.adminAgencies[' + ind + '].adminId">' + admin + '</select></td>' +
                '<td><input type="text" class="form-control" name="form.adminAgencies[' + ind + '].noSk" required ></td>' +
                '<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>' +
                '</tr>'
        $("#tblAdmin1").append(addAdmin);
        $('#tblAdmin1 tr select[name="form.adminAgencies[' + ind + '].adminId"]').val("");
        $('#tblAdmin1 tr select[name="form.adminAgencies[' + ind + '].adminId"]').selectpicker('refresh');
    })
</script>
#{/set}
